<?xml version="1.0" encoding="utf-8"?>
<MotionScene 
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:motion="http://schemas.android.com/apk/res-auto">

    <Transition
        motion:constraintSetStart="@id/hideSettings"
        motion:constraintSetEnd="@+id/showSettings"
        motion:duration="500">
    </Transition>

    <ConstraintSet android:id="@+id/hideSettings">
    </ConstraintSet>

    <ConstraintSet android:id="@+id/showSettings">
        <Constraint
            android:id="@+id/alarm_settings_layout_title"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="visible"
            motion:layout_constraintTop_toTopOf="parent"
            motion:layout_constraintStart_toStartOf="parent"
            android:layout_marginTop="64dp" />
        <Constraint
            android:id="@+id/settings_layout_open_alarm"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="visible"
            motion:layout_constraintTop_toBottomOf="@+id/settings_layout_open_lock"
            motion:layout_constraintStart_toStartOf="parent"
            android:layout_marginTop="0dp" />
        <Constraint
            android:id="@+id/settings_layout_open_lock"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="visible"
            motion:layout_constraintTop_toBottomOf="@+id/settings_layout_open_message"
            motion:layout_constraintStart_toStartOf="parent"
            android:layout_marginTop="0dp" />
        <Constraint
            android:id="@+id/settings_layout_open_message"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="visible"
            motion:layout_constraintTop_toBottomOf="@+id/settings_layout_open_billing"
            motion:layout_constraintStart_toStartOf="parent"
            android:layout_marginTop="0dp" />
        <Constraint
            android:id="@+id/settings_layout_open_billing"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="visible"
            motion:layout_constraintTop_toBottomOf="@+id/alarm_settings_layout_title"
            motion:layout_constraintStart_toStartOf="parent"
            android:layout_marginTop="32dp" />
        <Constraint
            android:id="@+id/settings_layout_events"
            motion:layout_constraintEnd_toEndOf="parent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="visible"
            motion:layout_constraintTop_toBottomOf="@+id/settings_layout_open_alarm"
            motion:layout_constraintStart_toStartOf="parent"
            android:layout_marginTop="0dp" />
    </ConstraintSet>
</MotionScene>